/***********************************************************
Copyright 1991 by the Massachusetts Institute of Technology,
Cambridge, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the names of Digital or MIT not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

******************************************************************/

/* 
 * PasteupP.h - Private definitions for Pasteup widget
 * 
 */

#ifndef _XawPasteupP_h
#define _XawPasteupP_h

/***********************************************************************
 *
 * Pasteup Widget Private Data
 *
 ***********************************************************************/

#include "Pasteup.h"
#include <X11/CompositeP.h>

/* New fields for the Pasteup widget class record */
typedef struct {int empty;} PasteupClassPart;

/* Full class record declaration */
typedef struct _PasteupClassRec {
    CoreClassPart	core_class;
    CompositeClassPart  composite_class;
    PasteupClassPart	pasteup_class;
} PasteupClassRec;

extern PasteupClassRec pasteupClassRec;

/* New fields for the Pasteup widget record */
typedef struct {int empty;} PasteupPart;


/****************************************************************
 *
 * Full instance record declaration
 *
 ****************************************************************/

typedef struct _PasteupRec {
    CorePart	    core;
    CompositePart   composite;
    PasteupPart     pasteup;
} PasteupRec;

#endif /* _XawPasteupP_h */
